Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.rss.endpoint
Class RssEndpointBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder
              org.mule.endpoint.AbstractMetaEndpointBuilder
                  org.mule.module.rss.endpoint.RssEndpointBuilder

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder

Direct Known Subclasses:
  RssInboundEndpointFactoryBean

    public class RssEndpointBuilder

extends AbstractMetaEndpointBuilder

Creates RSS endpoints. Right now only inbound endpoints are supported, i.e. poll an RSS URL

Field Summary
`static String` | `DATE_FORMAT`
`static String` | `SHORT_DATE_FORMAT`

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, logger, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Constructor Summary
`` | `RssEndpointBuilder()`
`` | `RssEndpointBuilder(EndpointURIEndpointBuilder global)`
`protected` | `RssEndpointBuilder(EndpointURI endpointURI, MuleContext muleContext)`
`` | `RssEndpointBuilder(String address, MuleContext muleContext)`
`` | `RssEndpointBuilder(URIBuilder URIBuilder, MuleContext muleContext)`

Method Summary
`InboundEndpoint` | `buildInboundEndpoint()` Constructs inbound endpoints
`OutboundEndpoint` | `buildOutboundEndpoint()` Constructs outbound endpoints
`protected Date` | `formatDate(String date)`
`List<String>` | `getAcceptedMimeTypes()`
`String` | `getLastUpdate()`
`long` | `getPollingFrequency()`
`protected void` | `init()`
`protected boolean` | `isAlwaysCreateConnector()` Some endpoint may always require a new connector to be created for every endpoint
`boolean` | `isSplitFeed()`
`void` | `setAcceptedMimeTypes(List<String> acceptedMimeTypes)`
`void` | `setLastUpdate(String lastUpdate)`
`void` | `setPollingFrequency(long pollingFrequency)`
`void` | `setSplitFeed(boolean splitFeed)`

Methods inherited from class org.mule.endpoint.AbstractMetaEndpointBuilder
`getEndpointAddressWithoutMetaScheme, getScheme, setProperties`

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformers, addResponseTransformersFromUri, addTransformer, addTransformers, addTransformersFromUri, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, hashCode, initExchangePatternFromConnectorDefault, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

See Also:
  Constant Field Values

### SHORT_DATE_FORMAT

    public static final String SHORT_DATE_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### RssEndpointBuilder

    public RssEndpointBuilder()

### RssEndpointBuilder

    public RssEndpointBuilder(EndpointURIEndpointBuilder global)
                       throws EndpointException

Throws:
  `EndpointException`

### RssEndpointBuilder

    public RssEndpointBuilder(URIBuilder URIBuilder,
                              MuleContext muleContext)

### RssEndpointBuilder

    public RssEndpointBuilder(String address,
                              MuleContext muleContext)

### RssEndpointBuilder

    protected RssEndpointBuilder(EndpointURI endpointURI,
                                 MuleContext muleContext)

Method Detail

### init

    protected void init()

### buildInboundEndpoint

    public InboundEndpoint buildInboundEndpoint()
                                         throws EndpointException,
                                                InitialisationException

  Description copied from interface: `EndpointBuilder`
  Constructs inbound endpoints

  Specified by:
    `buildInboundEndpoint` in interface `EndpointBuilder`
  Overrides:
    `buildInboundEndpoint` in class `AbstractEndpointBuilder`
  Throws:
    `EndpointException`
    `InitialisationException`

### buildOutboundEndpoint

    public OutboundEndpoint buildOutboundEndpoint()
                                           throws EndpointException,
                                                  InitialisationException

  Description copied from interface: `EndpointBuilder`
  Constructs outbound endpoints

  Specified by:
    `buildOutboundEndpoint` in interface `EndpointBuilder`
  Overrides:
    `buildOutboundEndpoint` in class `AbstractEndpointBuilder`
  Throws:
    `EndpointException`
    `InitialisationException`

### isAlwaysCreateConnector

    protected boolean isAlwaysCreateConnector()

  Description copied from class: `AbstractEndpointBuilder`
  Some endpoint may always require a new connector to be created for every endpoint

  Overrides:
    `isAlwaysCreateConnector` in class `AbstractEndpointBuilder`
  Returns:
    the default if false but cusotm endpoints can override

### getLastUpdate

    public String getLastUpdate()

### setLastUpdate

    public void setLastUpdate(String lastUpdate)

### isSplitFeed

    public boolean isSplitFeed()

### setSplitFeed

    public void setSplitFeed(boolean splitFeed)

### getAcceptedMimeTypes

    public List<String> getAcceptedMimeTypes()

### setAcceptedMimeTypes

    public void setAcceptedMimeTypes(List<String> acceptedMimeTypes)

### getPollingFrequency

    public long getPollingFrequency()

### setPollingFrequency

    public void setPollingFrequency(long pollingFrequency)

### formatDate

    protected Date formatDate(String date)
                       throws ParseException

  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.